Subject: Re: [lp-wan] Gentle reminder: WGLC on SCHC for IPv6 and UDP

From: Ana Minaburo <[email-masked]>
Date: Tue, 27 Feb 2018 17:10:13 +0100

Hello,

thanks for your comments, Sorry for the late response, please find my
comments on your text (Ana)

On Mon, Jan 15, 2018 at 4:29 PM, Rahul Jadhav <[email-masked]> wrote:

> Following are my review comments (mainly non-fragmentation part):
>
>
> 1.  Section 4.5 Compression Decompression Actions (CDA)
>
>     "For values between 15 and 255, the first 4 bits sent are set to 1
> and the
>
>     size is sent using 8 bits."
>
> [RJ] First 4 bits means LSB ? Also the size is sent using 8 bits ... does
> it
>
> include the first 4 bits ?
>

Ana:yes for the first question, yes for the second one also

>
> 2.[RJ] I was thinking of a scenario where gw and dev are not in sync for
> the
>
> SCHC context post an update. Gw thinks that the dev is updated to the
> latest
>
> SCHC context but it has in reality not been updated. Is there any way to
>
> currently handle this? Point is gw/dev might simply keep receiving the
> packets
>
> and decompressing it based on current rule they have. One way i could
> think of
>
> to handle this is to change the rule-id when the SCHC context is changed. I
>
> don' know if this needs proper handling or some text in the draft.
>
>
> Ana: I've openned a ticket, for my opinion this is out of the scope of the
actual draft

> 3. [RJ] I wonder how wireshark like tool will implement a dissector for
> SCHC
>
> especially because Rule-ID size is not fixed (possible to be different
> within
>
> the same L1/L2 tech as well depending on number of flows etc) and the SCHC
>
> rules might be deployment specific. I understand that dissector work was
>
> already spunned off in IETF97. How does it handle it?
>

Ana: I don't know how wireshark works

>
> 4. [RJ] It should be possible to have multiple rules even in the same
> flow. I
>
> do not think that the spec mandates that only a single rule be made use of
> for
>
> all the packets in the given flow. Want to confirm this understanding?
>

Ana: yes, you can have different rules in a flow, spec is based on packet,
so each packet may be C/D with a different rule

>
> 5. [RJ] In the appendix is it possible to add actual SCHC compressed byte
>
> payload for the examples given? This will help initial implementers.
>

Ana: yes

>
> 6.  Section 3. Terminology
>
>     "Dev: Device. ... Dev may implement"
>
> [RJ] Device has to implement SCHC ... should this be changed to must?
>
> Especially because currently we cannot have mix of SCHC-enabled and
> not-enabled
>
> devices in the same network.
>
>
> Ana: Non, may is correct because of legacy devices

> 7. [RJ] It is possible that a given packet matches multiple rules. Some of
> the
>
> rules might result in better compression since it is longest match. May be
> it
>
> is implementation specific detail since the gw will be able to decompress
>
> packet compressed using either rule. I just want to confirm that
> implementers
>
> might have to handle this?
>

Ana:yes

>
> 8. [RJ] Can the actual byte payload be specified along with the rule based
>
> examples in the appendix? I wanted to confirm my understanding with the
> actual
>
> byte sequence and such information would be helpful. (Something Similar to
> RFC 7400)
>

Ana: yes

>
> Regards,
>
> Rahul
>
> On 15 January 2018 at 13:30, Pascal Thubert (pthubert) <[email-masked]
> > wrote:
>
>> Dear LPWAN WG:
>>
>>
>>
>> We are missing reviews for this document which is critical for our WG.
>> We’ll be discussing it tomorrow at the next interim. In the meantime,
>> please spend some time on it and comment!
>>
>>
>>
>> Happy new year to all!
>>
>>
>>
>> The chairs
>>
>>
>>
>> *From:* lp-wan [mailto:[email-masked]] *On Behalf Of *Pascal
>> Thubert (pthubert)
>> *Sent:* vendredi 22 décembre 2017 17:19
>> *To:* lp-wan <[email-masked]>
>> *Subject:* [lp-wan] WGLC on SCHC for IPv6 and UDP
>>
>>
>>
>> Dear WG:
>>
>>
>>
>> As discussed during the last interim, we are starting a WGLC on the
>> “LPWAN Static Context Header Compression (SCHC) and fragmentation for IPv6
>> and UDP” document:
>>
>> https://datatracker.ietf.org/doc/draft-ietf-lpwan-ipv6-static-context-hc/
>>
>>
>>
>> This is a fundamental work for the WG, so please, DO review the document
>> and DO provide your comments and remarks if you see any issues.
>>
>>
>>
>> In order to cover the season break, this WGLC will end in three+ weeks,
>> on January 15th, 2018, 23h55 CEST, right before our next interim meeting.
>>
>>
>>
>> Best,
>>
>> Pascal and Alexander
>>
>>
>>
>> _______________________________________________
>> lp-wan mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/lp-wan
>>
>>
>
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>
>